const state = {
    loaded: {
        // company: false,
        // currencies: false,
        partners: false,
        paymentsJournals: false,
        paymentsCompany: false
        // products: false,
        // journals: false,
        // periods: false,
        // paymentTerms: false
    },
    messages: [
        'Cargando compañía',
        // 'Cargando monedas',
        'Cargando clientes',
        'Cargando Método de Pago'
        // 'Cargando productos'
    ]
}

const getters = {
    messages(state) {
        return state.messages
    },
    isLoaded(state) {
        return state.loaded.partners &&
               state.loaded.paymentsJournals &&
               state.loaded.paymentsCompany
    }
}

const mutations = {
    setLoaded(state, payload) {
        state.loaded[payload] = true
    },
    setUnloaded(state) {
        for (let module in state.loaded) {
            state.loaded[module] = false
        }
    }
}

const actions = {
    loaded({ commit }, payload) {
        commit('setLoaded', payload)
    },
    clear({ commit }) {
        commit('setUnloaded')
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
