const state = {
    paymentsCompany: null,
    companySymbol : null
}

const getters = {
    paymentsCompany(state) {
        return state.paymentsCompany
    },
    companyCurrency(state) {
        return state.paymentsCompany ? state.paymentsCompany.currency : ''
    },
    companySymbol(state) {
        return state.companySymbol ? state.companySymbol : ''
    }
}

const mutations = {
    pushsPaymentsCompany(state, payload) {
        state.paymentsCompany = payload.resCompany
    },
    getcompanySymbol(state, payload) {
        state.companySymbol = payload.symbol
    }
}
const actions = {
    fetchPaymentsCompany( { commit, dispatch }){
        return new Promise((resolve, reject) =>{
            let ResCompany = new openerp.web.Model('res.company')

            ResCompany.call('get_paymentsCompany',{
                context: new openerp.web.CompoundContext()
            }).then(response => {
                commit('pushsPaymentsCompany',{
                    resCompany : response
                })

                commit("getcompanySymbol", response.currency)

                dispatch('loaded', 'paymentsCompany')

                resolve()
            }).fail(error => {
                console.log(error)
                reject(error)
            })
        })
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
